Page MenuHomeFreeBSD

New port, security/acme.sh: ACME protocol client written in shell
ClosedPublic

Authored by jrm on Apr 7 2017, 5:22 PM.

Details

Summary
Test Plan

portlint -C: OK
testport: OK (poudriere: 11.0-RELEASE-p1, amd64)

Questions:

  • Should the shebang be replaced with #/bin/sh ?
  • Which of the following do you prefer?

    a) Create an acme user/group and do acme.sh --install. With this option, we will have to use sensible defaults for --home, --certhome, and --config-home.

    b) Use pkg-message to tell users the basics for getting started (e.g. acme.sh --install... etc.)

    c) Let users read the documentation.

I am leaning towards b) or c). a) might be easier in some cases, but it removes
control from the user.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm created this revision.Apr 7 2017, 5:22 PM
jrm updated this revision to Diff 27186.Apr 7 2017, 5:24 PM

Remove files/. It was unintentionally added.

emaste added a subscriber: emaste.Apr 7 2017, 7:57 PM
swills accepted this revision.Apr 8 2017, 2:41 PM

Creating a user for a shell script seems silly. Create a pkg-message to tell users the basics and have it also point at the docs. (So, B and C)

This revision is now accepted and ready to land.Apr 8 2017, 2:41 PM
mat added a comment.Apr 9 2017, 11:05 AM

Creating a user for a shell script seems silly. Create a pkg-message to tell users the basics and have it also point at the docs. (So, B and C)

The idea is that all operations should be done as a non privileged user. So, adding one with the port is a good idea.

dvl added a comment.May 19 2017, 11:47 PM

I am going to play with this, and see if I can create the non-priv user. I'm keen to use this ASAP.

We use this and would be really happy to have a port of it

dvl added a comment.May 19 2017, 11:51 PM

Trying to contact jrm over IRC, but bad time of day I think. I'm happy to do the work and commit it with him as maintainer, or if he prefers, I would take over. Either way is OK by me.

jrm added a comment.May 19 2017, 11:58 PM

dvl, rehashing our IRC conversation, I'm OK if you take over. Feel free to make changes and do as you wish wrt to maintaiership.

This revision was automatically updated to reflect the committed changes.